Bug 460996 - After kernelupdate dmraid does not work (ESB2 with LSI Firmware)
After kernelupdate dmraid does not work (ESB2 with LSI Firmware)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-03 04:09 EDT by Winfrid Tschiedel
Modified: 2009-07-14 13:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:06:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Winfrid Tschiedel 2008-09-03 04:09:53 EDT
Description of problem:
After the kernelupdate I see instead of one RAID1 
( /dev/mapper/ddf1_........  ) two single disks ( /dev/sda , /dev/sdb )


Version-Release number of selected component (if applicable):
2.6.25.14-108.fc9.x86_64, but the error might be also in a previous
kernel-update.


How reproducible:
always
Fedora 9 was installed out of the box on a FSC rx200s4 
( ESB2 with LSI firmware, 2 SATA discs combined to a RAID1 )
 
 



Steps to Reproduce:
1. Installation with defaults, except of a default partitioning I 
   allocated 3 primary partitions ( /boot "root" and swap ).
2. After installation the RAID1 is accessible via dmraid.
3. After this I upgraded the system with the actual fixes, which included
   kernel-2.6.25.14-108.fc9.x86_64.

  
Actual results:
    After boot of the new kernel I see 2 separate disks (/dev/sda /dev/sdb)
    instead of one RAID1 ( /dev/mapper/ddf1........ )


Expected results:
    Seeing one RAID1 like kernel 2.6.25-14.fc9.x86_64 still sees.


Additional info:
    I tried also an installation with rhel 5.1 and 5.2, 
    the installation on RAID1 works, but after first boot I see 
    2 disks. 
    
    Installation of fedora 10 fails, product installs but first boot 
    hangs.
Comment 1 Winfrid Tschiedel 2008-11-19 11:54:37 EST
Test with rhel5.3 snap3 still has the problem !
Comment 2 Bug Zapper 2009-06-09 22:36:29 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 13:06:23 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.